<?php
require'f_spune_cartea.php';
require'f_conectare.php';
conectare('Spune Cartea','joaca-spune-cartea');
if($de>0)
{
require'f_refresh.php';
$head[4]=refresh('/joaca-spune-cartea');
}
$titlu='Spune Cartea';
require'f_tabelare.php';
require'f_sus.php';
$categorie=$_COOKIE['varianta_biblia']??1;
$x2='/categorie/'.$categorie.'-'.seo($conn->query('SELECT`nume_scurt`FROM`biblia_categorii`WHERE`id`="'.$categorie.'"')->fetch_row()[0]);
$spune_cartea=$conn->query('SELECT`valoare1`,`valoare2`FROM`setari_jocuri`WHERE`nume`="spune_cartea1"')->fetch_row();
$actiune='';
if($spune_cartea[0]<$_SERVER['REQUEST_TIME']&&$spune_cartea[1]!=0)
{
if($spune_cartea[1]!=0)
$actiune=3;
}
else
{
if($spune_cartea[1]==0&&($spune_cartea[0]-$_SERVER['REQUEST_TIME']<0))
$actiune=0;
if($spune_cartea[1]==1&&($spune_cartea[0]-$_SERVER['REQUEST_TIME']<120))
$actiune=1;
if($spune_cartea[1]==2&&($spune_cartea[0]-$_SERVER['REQUEST_TIME']<60))
$actiune=2;
if($spune_cartea[1]==3&&($spune_cartea[0]-$_SERVER['REQUEST_TIME']<0))
$actiune=3;
}
if($spune_cartea[0]==0)
$actiune=0;
switch($actiune)
{
case'0':
$intrebare=$conn->query('SELECT`id`,`carte`FROM`biblia_texte`ORDER BY RAND()LIMIT 1')->fetch_row();
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="32",`valoare2`="'.$intrebare[0].'"WHERE`nume`="spune_cartea2"');
$conn->query('INSERT INTO`spune_cartea_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="[b][text_verset_'.$intrebare[0].'/][/b][br/]Ajutor: [span][text_raspuns_1_'.$intrebare[1].'/][/span]",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="'.($_SERVER['REQUEST_TIME']+180).'",`valoare2`="1"WHERE`nume`="spune_cartea1"');
break;
case'1':
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="16"WHERE`nume`="spune_cartea2"');
$intrebare=$conn->query('SELECT`id`,`carte`FROM`biblia_texte`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="spune_cartea2"')->fetch_row()[0].'"')->fetch_row();
$conn->query('INSERT INTO`spune_cartea_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="[b][text_verset_'.$intrebare[0].'/][/b][br/]Ajutor 2: [span][text_raspuns_2_'.$intrebare[1].'/][/span]",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare2`="2"WHERE`nume`="spune_cartea1"');
break;
case'2':
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="8"WHERE`nume`="spune_cartea2"');
$intrebare=$conn->query('SELECT`id`,`carte`FROM`biblia_texte`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="spune_cartea2"')->fetch_row()[0].'"')->fetch_row();
$conn->query('INSERT INTO`spune_cartea_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="[b][text_verset_'.$intrebare[0].'/][/b][br/]Ajutor 3: [span][text_raspuns_3_'.$intrebare[1].'/][/span]",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare2`="3"WHERE`nume`="spune_cartea1"');
break;
case'3':
$intrebare=$conn->query('SELECT`id`,`carte`FROM`biblia_texte`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="spune_cartea2"')->fetch_row()[0].'"')->fetch_row();
$conn->query('INSERT INTO`spune_cartea_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="Timpul a expirat :(, răspunsul corect era: [b][text_raspuns_4_'.$intrebare[1].'/][/b].[br/]Urmatoarea întrebare peste [b]10[/b] secunde.",`de`="0"');
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="'.($_SERVER['REQUEST_TIME']+10).'",`valoare2`="0"WHERE`nume`="spune_cartea1"');
break;
}
$raspuns=$conn->query('SELECT`carte`FROM`biblia_texte`WHERE`id`="'.$conn->query('SELECT`valoare2`FROM`setari_jocuri`WHERE`nume`="spune_cartea2"')->fetch_row()[0].'"')->fetch_row()[0];
$pmtext=(is_numeric($pmtext)&&($pmtext>0||$pmtext<67)?$pmtext:'');
if($pmtext==$raspuns&&$spune_cartea[1]!=0)
{
$puncte=$conn->query('SELECT`valoare1`FROM`setari_jocuri`WHERE`nume`="spune_cartea2"')->fetch_row()[0];
$conn->query('UPDATE`membrii`SET`spune_cartea`=spune_cartea+'.$puncte.' WHERE`id`="'.$de.'"');
$conn->query('INSERT INTO`spune_cartea_raspunsuri`SET`data`="'.$_SERVER['REQUEST_TIME'].'",`text`="Felicitari [b]'.nume($de,1).'[/b]!-bravo-[br/]Raspunsul corect era: [b][text_raspuns_4_'.$raspuns.'/][/b], ai câștigat [b]'.$puncte.'[/b] puncte Spune Cartea, și ai în total [b]'.number_format($conn->query('SELECT`spune_cartea`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]).'[/b] puncte Spune Cartea![br/]Urmatoarea întrebare în [b]10[/b] secunde.",`de`="0"');
$conn->query('INSERT INTO`evenimente`SET`text`="a scris un răspuns la jocul Spune Cartea",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`setari_jocuri`SET`valoare1`="'.($_SERVER['REQUEST_TIME']+10).'",`valoare2`="0"WHERE`nume`="spune_cartea1"');
}
if(!empty($pmtext)&&$conn->query('SELECT`text`FROM`spune_cartea_raspunsuri`WHERE`de`="'.$de.'"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0]!='[text_raspuns_4_'.$pmtext.'/]')
{
$conn->query('INSERT INTO`spune_cartea_raspunsuri`SET`de`="'.$de.'",`text`="[text_raspuns_4_'.$pmtext.'/]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('INSERT INTO`evenimente`SET`text`="a scris un răspuns la jocul Spune Cartea",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`mesaje_chat`=mesaje_chat+1 WHERE`id`="'.$de.'"');
}
require'f_filtru.php';
function filtru_spune_cartea($text)
{
##Pentru realizarea următoarelor 5 linii m-am chinuit câteva zile, deoarece nu am reușit folosirea doar a funcției preg_replace:
$text=preg_replace_callback('/\[text_verset_([0-9]+)\/\]/is',function ($id){global$categorie,$conn;return$conn->query('SELECT`text'.$categorie.'`FROM`biblia_texte`WHERE`id`="'.$id[1].'"')->fetch_row()[0];},$text);
$text=preg_replace_callback('/\[text_raspuns_1_([0-9]+)\/\]/is',function ($id){global$categorie,$conn;return preg_replace('/[a-z0-9]/i','*',$conn->query('SELECT`nume_carte'.$categorie.'`FROM`biblia_carti`WHERE`carte`="'.$id[1].'"')->fetch_row()[0]);},$text);
$text=preg_replace_callback('/\[text_raspuns_2_([0-9]+)\/\]/is',function ($id){global$categorie,$conn;$ajutor1=$conn->query('SELECT`nume_carte'.$categorie.'`FROM`biblia_carti`WHERE`carte`="'.$id[1].'"')->fetch_row()[0];return$ajutor1[0].mb_substr(preg_replace('/[a-z0-9]/i','*',$ajutor1),1);},$text);
$text=preg_replace_callback('/\[text_raspuns_3_([0-9]+)\/\]/is',function ($id){global$categorie,$conn;$ajutor2=$conn->query('SELECT`nume_carte'.$categorie.'`FROM`biblia_carti`WHERE`carte`="'.$id[1].'"')->fetch_row()[0];return$ajutor2[0].mb_substr(preg_replace('/[a-z0-9]/i','*',$ajutor2),1,-1).$ajutor2[-1];},$text);
$text=preg_replace_callback('/\[text_raspuns_4_([0-9]+)\/\]/is',function ($id){global$categorie,$conn,$x2;return'[url=/biblia'.$x2.'/carte/'.$id[1].'-'.seo($nume_carte=$conn->query('SELECT`nume_carte'.$categorie.'`FROM`biblia_carti`WHERE`carte`="'.$id[1].'"')->fetch_row()[0]).']'.$nume_carte.'[/url]';},$text);
return$text;
}
echo$div[10].filtru(filtru_spune_cartea($conn->query('SELECT`text`FROM`spune_cartea_raspunsuri`WHERE`de`="0"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0])).$div[0].$div[1].'[<a href="#scrie">Scrie</a>] [<a href="/joaca-spune-cartea">reîncarcă</a>] [<a href="/conectati/categorie/spunecartea">conectați</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`spune_cartea_conectati`')->fetch_row()[0]).'</strong>]';
$alerte_necitite=$conn->query('SELECT COUNT(*)FROM`alerte`WHERE`citit`="0"&&`la`="'.$de.'"')->fetch_row();
if($alerte_necitite[0]>0)
echo' [<a href="/dialog-alerte/tip/primite">alerte noi</a> <strong>'.$alerte_necitite[0].'</strong>]';
echo$div[0];
require'f_profil.php';
$postari=$conn->query('SELECT`de`,`text`FROM`spune_cartea_raspunsuri`WHERE`de`>"0"ORDER BY`data`DESC LIMIT 10');
$elemente=$postari->num_rows;
if($elemente>0)
echo'<table'.$clasa_tabel.'>';
$cou=0;
while($postare=$postari->fetch_row())
{
$cou++;
echo'<tr><td'.$clasa_kk.'><a href="/profil-membru/la/'.$postare[0].'-'.seo(nume($postare[0],1)).'">'.avatar($postare[0]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($postare[0]).$div[0].($is_pc=='1'?'':'<div class="'.($cou%2?'verde':'orange').'">').filtru(filtru_spune_cartea($postare[1])).$div[0].'</td></tr>';
}
if($elemente>0)
echo'</table>';
echo$div[1].'<a href="/top-spune-cartea">'.img('topuri.gif',2).'Top Spune Cartea</a>'.$div[0].($conn->query('SELECT COUNT(*)FROM`biblia_categorii`')->fetch_row()[0]>1?$div[1].'<a href="/seteaza-varianta-biblia">'.img('setari.png',2).'Setează varianta de afișare a versetelor din Biblie</a>'.$div[0]:'');
$form[0]='/joaca-spune-cartea" autocomplete="off" method="post';
$form[1]=1;
require'f_scris3.php';
$cartile='';
$carti=$conn->query('SELECT`carte`,`nume_carte'.$categorie.'`FROM`biblia_carti`');
while($carte=$carti->fetch_row())
{
$cartile.='::'.$carte[0].',,'.$carte[1];
}
$form[2]=$div[1].'<a name="scrie">Alege carte:</a><br />'.scris3('pmtext',$cartile,'1').$div[0];
$form[3]='pmtext';
$form[4]='Spune Cartea selectată';
require'f_form.php';
require'f_jos.php';